Package org.globus.ftp.dc

# Interface DataChannel

All Known Implementing Classes:
  `AbstractDataChannel`, `GridFTPDataChannel`, `SimpleDataChannel`

public interface DataChannel

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
`startTransfer(DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`

## Method Details

### startTransfer

void startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`

### startTransfer

void startTransfer(DataSource source, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`

### close

void close() throws IOException

Throws:
  `IOException`